## xe 0.11

=== Makefile ===
ALL=xe
ZSHCOMP=_xe

CFLAGS=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
ZSHCOMPDIR=$(PREFIX)/share/zsh/site-functions

all: $(ALL)

clean: FRC
	rm -f $(ALL)

check: FRC all
	prove -v

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(ZSHCOMPDIR)
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1
	install -m0644 $(ZSHCOMP) $(DESTDIR)$(ZSHCOMPDIR)

README: xe.1
	mandoc -Tutf8 $< | col -bx >$@

FRC:

=== debian/changelog ===
xe (0.11-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #970103)

  [ nicoo ]
  * Setup Salsa CI
  * Update nicoo's name and address in d/changelog
  * Use the canonical repository at vuxu.org in d/{copyright, watch}

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 11:43:50 +0100

xe (0.11-4) unstable; urgency=medium

  * Update authorship information
  * debian/watch: Switch to git mode, verify upstream's tag signatures
    Not (yet) updated to use git.vuxu.org, due to uscan bug #951386.

  * debian/gbp.conf
    + Move the packaging branch to debian/sid (compliant with DEP14)
    + Fixup use of pristine-tar
      gbp was producing a new, xz-compressed, upstream tarball even when
      a differently-compressed one was already available.

  * debian/rules
    + Honor build flags (incl. build hardening)
    + Fail build on dh_missing

  * debian/control
    + Switch to debhelper compat level 12
      Replace old-style debian/compat with B-D: debhelper-compat.
    + Update Homepage (git.vuxu.org/xe now preferred)

  * Declare compliance with policy 4.5.0
    No change needed.

 -- nicoo <nicoo@debian.org>  Sat, 15 Feb 2020 20:40:02 +0100

xe (0.11-3) unstable; urgency=medium

  * Declare compliance with policy 4.1.4.
    No change required.
  * Move packaging repository to salsa.d.o
  * Get rid of a superfluous use of dh-exec

 -- nicoo <nicoo@debian.org>  Wed, 09 May 2018 21:49:31 +0200

xe (0.11-2) unstable; urgency=medium

  * debian/copyright
    * Fix package name (copy-paste error)
    * Refer to CC0-1.0 copyright file
    * Use HTTPS URI for DEP5 format

  * Lintian overrides
    * Relocate to debian/source/lintian-overrides
    * Rename debian-watch-may-check-gpg-signature
    * Add debian-watch-could-verify-download

  * Ship upstream's changelog
  * Bump Standards-Version to 4.1.3
  * debian/rules: Remove spurious --parallel

 -- nicoo <nicoo@debian.org>  Tue, 13 Feb 2018 21:31:34 +0100

xe (0.11-1) unstable; urgency=medium

  * New upstream version (2017-11-05)
    * Add ZSH completion
    * Bugfixes
      * `-F` exits as soon as possible when a command fails
      * `-p` and `-s` can now be used together
      * Better error handling
    * More robust testsuite

 -- nicoo <nicoo@debian.org>  Sun, 12 Nov 2017 00:16:59 +0100

xe (0.10-1) unstable; urgency=medium

  * Initial packaging (Closes: #861793)

 -- nicoo <nicoo@debian.org>  Mon, 30 Oct 2017 18:34:16 +0100

=== debian/control ===
Source: xe
Maintainer: nicoo <nicoo@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://git.vuxu.org/xe/about/
Vcs-Browser: https://salsa.debian.org/debian/xe
Vcs-Git: https://salsa.debian.org/debian/xe.git

Package: xe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple alternative to xargs and apply
 xe is a tool for constructing command lines from file listings or
 arguments, which includes the best features of xargs(1) and apply(1).
 .
 Its name means "execute for every ...".
 .
 It provides simple(r) parsing of its input, does not invoke a shell by
 default, can execute multiple commands in parallel, ...

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://git.vuxu.org/xe/ refs/tags/v(\d\S+)

## xe 1.0

=== debian/changelog ===
xe (1.0-2) unstable; urgency=medium

  * Use watch v5
  * Improve upstream/metadata
  * Run wrap-and-sort -abk
  * Improve Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Sat, 27 Dec 2025 20:28:58 +0100

xe (1.0-1) unstable; urgency=medium

  * LowNMU/PackageSalvage upload (Closes: #1112675)

  [ Simon Josefsson ]
  * Add d/salsa-ci.yml.
  * Use gbp debian-branch debian/latest.
  * New upstream version 1.0

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing,
    which is now the default.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Simon Josefsson ]
  * Add myself as Maintainer, moving nicoo to Uploaders.  For ITS.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 31 Aug 2025 20:39:43 +0200

=== debian/control ===
Source: xe
Maintainer: Simon Josefsson <simon@josefsson.org>
Uploaders: nicoo <nicoo@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://git.vuxu.org/xe/about/
Vcs-Browser: https://salsa.debian.org/debian/xe
Vcs-Git: https://salsa.debian.org/debian/xe.git

Package: xe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: simple alternative to xargs and apply
 xe is a tool for constructing command lines from file listings or
 arguments, which includes the best features of xargs(1) and apply(1).
 .
 Its name means "execute for every ...".
 .
 It provides simple(r) parsing of its input, does not invoke a shell by
 default, can execute multiple commands in parallel, ...

=== debian/watch ===
Version: 5
Source: https://git.vuxu.org/xe/
Matching-Pattern: refs/tags/v(\d\S+)
Mode: git
Pgpmode: gittag
